- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes

# AttributeStampConfigurationWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 584 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeStampConfigurationWidget:
[legend]

List of all members.

## Public Slots
void | Update (void)
void | OnChange (void)
void | OnRotate (void)
## Public Member Functions
| AttributeStampConfigurationWidget (QWidget *pParent, int iWidth, astampcfg *pAttribute)
## Protected Member Functions
void | UpdateImage (void)
bool | LoadImage (const QString &imgFileName)
## Protected Attributes
QImage | m_CachedImage
QString | m_CachedImageFileName
QGroupBox | m_cGroupBox
QLabel * | m_pPreviewImage
QGroupBox * | m_pRandomize
QToolButton * | m_pOrientToStroke
QToolButton * | m_pRotateStamp
QToolButton * | m_pFlipXStamp
QToolButton * | m_pFlipYStamp
QSlider * | m_pRotateRandomize
QSlider * | m_pPositionXRandomize
QSlider * | m_pPositionYRandomize
QSlider * | m_pScaleRandomize
QSlider * | m_pStrengthRandomize
QCheckBox * | m_pFlipRandomize
QCheckBox * | m_pFlopRandomize
bool | m_bUpdating

## Constructor & Destructor Documentation

AttributeStampConfigurationWidget | ( | QWidget * | pParent,
|  | int | iWidth,
|  | astampcfg * | pAttribute
| ) |  |

## Member Function Documentation

void UpdateImage | ( | void |  | ) | `[protected]`

Search for all occurrences

bool LoadImage | ( | const QString & | imgFileName | ) | `[protected]`

Search for all occurrences

void Update | ( | void |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented from AttributeWidget.

void OnChange | ( | void |  | ) | `[slot]`

Search for all occurrences

void OnRotate | ( | void |  | ) | `[slot]`

Search for all occurrences

## Member Data Documentation

QImage m_CachedImage `[protected]`

Search for all occurrences

Definition at line 592 of file widgets.h.

QString m_CachedImageFileName `[protected]`

Search for all occurrences

Definition at line 593 of file widgets.h.

QGroupBox m_cGroupBox `[protected]`

Search for all occurrences

Definition at line 595 of file widgets.h.

QLabel* m_pPreviewImage `[protected]`

Search for all occurrences

Definition at line 596 of file widgets.h.

QGroupBox* m_pRandomize `[protected]`

Search for all occurrences

Definition at line 597 of file widgets.h.

QToolButton* m_pOrientToStroke `[protected]`

Search for all occurrences

Definition at line 598 of file widgets.h.

QToolButton* m_pRotateStamp `[protected]`

Search for all occurrences

Definition at line 599 of file widgets.h.

QToolButton* m_pFlipXStamp `[protected]`

Search for all occurrences

Definition at line 600 of file widgets.h.

QToolButton* m_pFlipYStamp `[protected]`

Search for all occurrences

Definition at line 601 of file widgets.h.

QSlider* m_pRotateRandomize `[protected]`

Search for all occurrences

Definition at line 602 of file widgets.h.

QSlider* m_pPositionXRandomize `[protected]`

Search for all occurrences

Definition at line 603 of file widgets.h.

QSlider* m_pPositionYRandomize `[protected]`

Search for all occurrences

Definition at line 604 of file widgets.h.

QSlider* m_pScaleRandomize `[protected]`

Search for all occurrences

Definition at line 605 of file widgets.h.

QSlider* m_pStrengthRandomize `[protected]`

Search for all occurrences

Definition at line 606 of file widgets.h.

QCheckBox* m_pFlipRandomize `[protected]`

Search for all occurrences

Definition at line 607 of file widgets.h.

QCheckBox* m_pFlopRandomize `[protected]`

Search for all occurrences

Definition at line 608 of file widgets.h.

bool m_bUpdating `[protected]`

Search for all occurrences

Definition at line 609 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget
AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget AttributeStampConfigurationWidget